using System;
using System.Text;

class Program
{
    static void Main()
    {
        string s = Console.ReadLine();
        string c1 = s.Substring(0, 1);
        string c2 = s.Substring(1, 1);
        string[] str = Console.ReadLine().Split();
        int a1 = int.Parse(str[0]);
        int a2 = int.Parse(str[1]);
        StringBuilder rec = new StringBuilder(a1 + a2);
        if(c1 == c2) { Console.WriteLine("nemoguce"); }
        else if(a1 == a2)
        {
            for (int i = 0; i < a1; i++) { rec.Append(c1); rec.Append(c2); }
            Console.WriteLine(rec.ToString());
        }
        else if(a1 == a2 + 1)
        {
            for(int i = 0; i < a2; i++) { rec.Append(c1); rec.Append(c2); }
            rec.Append(c1);
            Console.WriteLine(rec.ToString());
        }
        else if (a2 == a1 + 1)
        {
            for (int i = 0; i < a1; i++) { rec.Append(c2); rec.Append(c1); }
            rec.Append(c2);
            Console.WriteLine(rec.ToString());
        }
        else { Console.WriteLine("nemoguce"); }
    }
}